import 'package:flutter_gb_authentication_basic/flutter_gb_authentication_basic.dart';
import 'package:flutter_gb_stack_base/flutter_gb_stack_base.dart';

abstract class AuthenticationData {
  String get id;
  String get token;
  bool get expired;
  User? get user;
  String? get refreshToken;
  AuthDeviceInfo? get deviceInfo;

  AuthenticationData copyWith({
    String? id,
    String? token,
    User? user,
    String? refreshToken,
    AuthDeviceInfo? deviceInfo,
  });
}
